CMCObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmc

## Interface CMCObjectIdentifiers

-     public interface CMCObjectIdentifiers

  Object Identifiers from RFC 5272

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `id_cct`
    `static ASN1ObjectIdentifier` | `id_cct_PKIData`
    `static ASN1ObjectIdentifier` | `id_cct_PKIResponse`
    `static ASN1ObjectIdentifier` | `id_cmc`
    `static ASN1ObjectIdentifier` | `id_cmc_addExtensions`
    `static ASN1ObjectIdentifier` | `id_cmc_authData`
    `static ASN1ObjectIdentifier` | `id_cmc_batchRequests`
    `static ASN1ObjectIdentifier` | `id_cmc_batchResponses`
    `static ASN1ObjectIdentifier` | `id_cmc_confirmCertAcceptance`
    `static ASN1ObjectIdentifier` | `id_cmc_controlProcessed`
    `static ASN1ObjectIdentifier` | `id_cmc_dataReturn`
    `static ASN1ObjectIdentifier` | `id_cmc_decryptedPOP`
    `static ASN1ObjectIdentifier` | `id_cmc_encryptedPOP`
    `static ASN1ObjectIdentifier` | `id_cmc_getCert`
    `static ASN1ObjectIdentifier` | `id_cmc_getCRL`
    `static ASN1ObjectIdentifier` | `id_cmc_identification`
    `static ASN1ObjectIdentifier` | `id_cmc_identityProof`
    `static ASN1ObjectIdentifier` | `id_cmc_identityProofV2`
    `static ASN1ObjectIdentifier` | `id_cmc_lraPOPWitness`
    `static ASN1ObjectIdentifier` | `id_cmc_modCertTemplate`
    `static ASN1ObjectIdentifier` | `id_cmc_popLinkRandom`
    `static ASN1ObjectIdentifier` | `id_cmc_popLinkWitness`
    `static ASN1ObjectIdentifier` | `id_cmc_popLinkWitnessV2`
    `static ASN1ObjectIdentifier` | `id_cmc_publishCert`
    `static ASN1ObjectIdentifier` | `id_cmc_queryPending`
    `static ASN1ObjectIdentifier` | `id_cmc_recipientNonce`
    `static ASN1ObjectIdentifier` | `id_cmc_regInfo`
    `static ASN1ObjectIdentifier` | `id_cmc_responseInfo`
    `static ASN1ObjectIdentifier` | `id_cmc_revokeRequest`
    `static ASN1ObjectIdentifier` | `id_cmc_senderNonce`
    `static ASN1ObjectIdentifier` | `id_cmc_statusInfo`
    `static ASN1ObjectIdentifier` | `id_cmc_statusInfoV2`
    `static ASN1ObjectIdentifier` | `id_cmc_transactionId`
    `static ASN1ObjectIdentifier` | `id_cmc_trustedAnchors`
    `static ASN1ObjectIdentifier` | `id_kp`
    `static ASN1ObjectIdentifier` | `id_kp_cmcCA` id-kp-cmcCA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 27 }
    `static ASN1ObjectIdentifier` | `id_kp_cmcRA` id-kp-cmcRA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 28 }
    `static ASN1ObjectIdentifier` | `id_kp_cmKGA` id-kp-cmKGA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 32 }
    `static ASN1ObjectIdentifier` | `id_pkix`

- - ### Field Detail

    - #### id_pkix

          static final ASN1ObjectIdentifier id_pkix

    - #### id_cmc

          static final ASN1ObjectIdentifier id_cmc

    - #### id_cct

          static final ASN1ObjectIdentifier id_cct

    - #### id_kp

          static final ASN1ObjectIdentifier id_kp

    - #### id_cmc_identityProof

          static final ASN1ObjectIdentifier id_cmc_identityProof

    - #### id_cmc_dataReturn

          static final ASN1ObjectIdentifier id_cmc_dataReturn

    - #### id_cmc_regInfo

          static final ASN1ObjectIdentifier id_cmc_regInfo

    - #### id_cmc_responseInfo

          static final ASN1ObjectIdentifier id_cmc_responseInfo

    - #### id_cmc_queryPending

          static final ASN1ObjectIdentifier id_cmc_queryPending

    - #### id_cmc_popLinkRandom

          static final ASN1ObjectIdentifier id_cmc_popLinkRandom

    - #### id_cmc_popLinkWitness

          static final ASN1ObjectIdentifier id_cmc_popLinkWitness

    - #### id_cmc_identification

          static final ASN1ObjectIdentifier id_cmc_identification

    - #### id_cmc_transactionId

          static final ASN1ObjectIdentifier id_cmc_transactionId

    - #### id_cmc_senderNonce

          static final ASN1ObjectIdentifier id_cmc_senderNonce

    - #### id_cmc_recipientNonce

          static final ASN1ObjectIdentifier id_cmc_recipientNonce

    - #### id_cct_PKIData

          static final ASN1ObjectIdentifier id_cct_PKIData

    - #### id_cct_PKIResponse

          static final ASN1ObjectIdentifier id_cct_PKIResponse

    - #### id_cmc_statusInfo

          static final ASN1ObjectIdentifier id_cmc_statusInfo

    - #### id_cmc_addExtensions

          static final ASN1ObjectIdentifier id_cmc_addExtensions

    - #### id_cmc_encryptedPOP

          static final ASN1ObjectIdentifier id_cmc_encryptedPOP

    - #### id_cmc_decryptedPOP

          static final ASN1ObjectIdentifier id_cmc_decryptedPOP

    - #### id_cmc_lraPOPWitness

          static final ASN1ObjectIdentifier id_cmc_lraPOPWitness

    - #### id_cmc_getCert

          static final ASN1ObjectIdentifier id_cmc_getCert

    - #### id_cmc_getCRL

          static final ASN1ObjectIdentifier id_cmc_getCRL

    - #### id_cmc_revokeRequest

          static final ASN1ObjectIdentifier id_cmc_revokeRequest

    - #### id_cmc_confirmCertAcceptance

          static final ASN1ObjectIdentifier id_cmc_confirmCertAcceptance

    - #### id_cmc_statusInfoV2

          static final ASN1ObjectIdentifier id_cmc_statusInfoV2

    - #### id_cmc_trustedAnchors

          static final ASN1ObjectIdentifier id_cmc_trustedAnchors

    - #### id_cmc_authData

          static final ASN1ObjectIdentifier id_cmc_authData

    - #### id_cmc_batchRequests

          static final ASN1ObjectIdentifier id_cmc_batchRequests

    - #### id_cmc_batchResponses

          static final ASN1ObjectIdentifier id_cmc_batchResponses

    - #### id_cmc_publishCert

          static final ASN1ObjectIdentifier id_cmc_publishCert

    - #### id_cmc_modCertTemplate

          static final ASN1ObjectIdentifier id_cmc_modCertTemplate

    - #### id_cmc_controlProcessed

          static final ASN1ObjectIdentifier id_cmc_controlProcessed

    - #### id_cmc_identityProofV2

          static final ASN1ObjectIdentifier id_cmc_identityProofV2

    - #### id_cmc_popLinkWitnessV2

          static final ASN1ObjectIdentifier id_cmc_popLinkWitnessV2

    - #### id_kp_cmcCA

          static final ASN1ObjectIdentifier id_kp_cmcCA

      id-kp-cmcCA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 27 }

    - #### id_kp_cmcRA

          static final ASN1ObjectIdentifier id_kp_cmcRA

      id-kp-cmcRA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 28 }

    - #### id_kp_cmKGA

          static final ASN1ObjectIdentifier id_kp_cmKGA

      id-kp-cmKGA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 32 }